#
# spec file for package kid3
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kid3
Summary:        Efficient ID3 Tag Editor
Version:        3.2.1
Release:        1.1
Url:            http://kid3.sourceforge.net
Source0:        kid3-%{version}.tar.gz
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
BuildRequires:  libchromaprint-devel-with-ffmpeg
BuildRequires:  libffmpeg-devel
BuildRequires:  flac-devel
BuildRequires:  id3lib-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libtag-devel >= 1.8
%if 0%{?suse_version} > 1230
BuildRequires:  pkgconfig(gstreamer-1.0)
%else
BuildRequires:  pkgconfig(gstreamer-0.10)
%endif
%if 0%{?suse_version} > 1210
BuildRequires:  libxslt-tools
%endif
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  readline-devel
BuildRequires:  update-desktop-files
%if 0%{?suse_version} > 1320
BuildRequires:  kdoctools-devel
BuildRequires:  kio-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
%else
BuildRequires:  libkde4-devel
BuildRequires:  libqt4-devel >= 4.7
%kde4_runtime_requires
%endif
Requires(pre):  desktop-file-utils
Provides:       kid3-frontend = %{version}-%{release}
Requires:       kid3-core = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
With Kid3 you can:

- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags in MP3, Ogg/Vorbis, FLAC, MPC, APE, MP4/AAC, MP2, Speex,
  TrueAudio, WavPack, WMA, WAV, AIFF files and tracker modules (MOD,
  S3M, IT, XM).
- Edit tags of multiple files, e.g. the artist, album, year and genre
  of all files of an album typically have the same values and can be
  set together.
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Generate playlist files
- Automatic case conversion and string translation
- Import and export album data
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon

This package uses KDE libraries, if you do not use KDE you should use kid3-qt.

Authors: Urs Fleisch

%package qt
Summary:        Efficient ID3 tag editor
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       kid3-frontend = %{version}
Requires:       kid3-core = %{version}

%description qt
With Kid3 you can:

- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags in MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC, MP2, Speex,
  TrueAudio, WavPack, WMA, WAV, AIFF files and tracker modules (MOD,
  S3M, IT, XM).
- Edit tags of multiple files, e.g. the artist, album, year and genre
  of all files of an album typically have the same values and can be
  set together.
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Generate playlist files
- Automatic case conversion and string translation
- Import and export album data
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon

This package does not use KDE libraries, if you use KDE you should use kid3.

Authors: Urs Fleisch

%package cli
Summary:        Efficient ID3 tag editor
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       kid3-frontend = %{version}
Requires:       kid3-core = %{version}

%description cli
With Kid3 you can:

- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags in MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC, MP2, Speex,
  TrueAudio, WavPack, WMA, WAV, AIFF files and tracker modules (MOD,
  S3M, IT, XM).
- Edit tags of multiple files, e.g. the artist, album, year and genre
  of all files of an album typically have the same values and can be
  set together.
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Generate playlist files
- Automatic case conversion and string translation
- Import and export album data
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon

This package contains a command line interface for Kid3, for a GUI you can use kid3-qt or kid3.

Authors: Urs Fleisch

%package core
Summary:        Audio tag editor core libraries and data
Group:          Productivity/Multimedia/Sound/Utilities
Recommends:     kid3-core-lang = %{version}
Requires:       kid3-frontend
Provides:       libkid3_3 = %{version}
# change to < for 3.1.3 or later
Obsoletes:      libkid3_3 <= %{version}

%description core
With Kid3 you can:

- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags in MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC, MP2, Speex,
  TrueAudio, WavPack, WMA, WAV, AIFF files and tracker modules (MOD,
  S3M, IT, XM).
- Edit tags of multiple files, e.g. the artist, album, year and genre
  of all files of an album typically have the same values and can be
  set together.
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Generate playlist files
- Automatic case conversion and string translation
- Import and export album data
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon

This package contains common libraries and data used by kid3, kid3-qt and kid3-cli.

Authors: Urs Fleisch

%package doc
Summary:        Documentation for kid3
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       kid3 = %{version}
BuildArch:      noarch

%description doc
This package provides documentation and help files for kid3.

%package qt-doc
Summary:        Documentation for kid3-qt5-qt
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       kid3-qt = %{version}
BuildArch:      noarch

%description qt-doc
This package provides documentation and help files for kid3-qt.

%lang_package -n kid3-core

%prep
%setup -q -n kid3-%{version}

%build
## plugin QML is set to off because build currently failes, patches are welcome.
%if 0%{?suse_version} > 1320
%cmake_kf5 -d build -- -DCMAKE_SKIP_RPATH=ON -DWITH_LIBDIR=%{_lib}/kid3 -DWITH_PLUGINSDIR=%{_lib}/kid3/plugins -DWITH_CHROMAPRINT_FFMPEG=ON -DWITH_FFMPEG=ON -DWITH_QML=OFF -DWITH_GSTREAMER=ON -DWITH_APPS="Qt;CLI;KDE" -DWITH_DOCDIR=share/doc/packages/kid3-qt
%else
%cmake_kde4 -d build -- -DWITH_LIBDIR=%{_lib}/kid3 -DWITH_PLUGINSDIR=%{_lib}/kid3/plugins -DWITH_CHROMAPRINT_FFMPEG=ON -DWITH_FFMPEG=ON -DWITH_GSTREAMER=ON -DWITH_APPS="Qt;CLI;KDE" -DWITH_DOCDIR=share/doc/packages/kid3-qt
%endif
%make_jobs

%install
%if 0%{?suse_version} > 1320
%kf5_makeinstall -C build
%else
%kde4_makeinstall -C build
%endif

%if 0%{?suse_version} > 1320
pushd %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/apps/
%else
pushd %{buildroot}%{_kde4_iconsdir}/hicolor/scalable/apps/
%endif
gzip -dS .svgz kid3.svgz
mv kid3 kid3.svg
popd

%if 0%{?suse_version} > 1320
mkdir -p %{buildroot}%{_kf5_sysconfdir}/ld.so.conf.d/
cat <<EOF >%{buildroot}%{_kf5_sysconfdir}/ld.so.conf.d/kid3.conf
%{_kf5_libdir}/kid3
EOF
%else
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
cat <<EOF >%{buildroot}%{_sysconfdir}/ld.so.conf.d/kid3.conf
%{_kde4_libdir}/kid3
EOF
%endif

rm %{buildroot}%{_libdir}/kid3/libkid3-core.so
rm %{buildroot}%{_libdir}/kid3/libkid3-gui.so
rm %{buildroot}%{_datadir}/appdata/kid3*.appdata.xml

%find_lang kid3 kid3-core.lang --without-kde --with-qt --all-name --without-mo

%post
update-desktop-database > /dev/null

%postun
update-desktop-database > /dev/null

%post core -p /sbin/ldconfig

%postun core -p /sbin/ldconfig

%if 0%{?suse_version} > 1320

%files
%defattr(-,root,root)
%{_kf5_bindir}/kid3
%{_kf5_sharedir}/applications/kid3.desktop
%{_kf5_iconsdir}/hicolor/*/apps/kid3.png
%{_kf5_iconsdir}/hicolor/scalable/apps/kid3.svg
%{_kf5_kxmlguidir}/kid3/
%{_kf5_mandir}/man1/kid3.1%{ext_man}
%{_kf5_mandir}/de/man1/kid3.1%{ext_man}

%files qt
%defattr(-,root,root)
%{_kf5_bindir}/kid3-qt
%{_kf5_sharedir}/applications/kid3-qt.desktop
%{_kf5_iconsdir}/hicolor/*/apps/kid3-qt.png
%{_kf5_iconsdir}/hicolor/scalable/apps/kid3-qt.svg
%{_kf5_mandir}/man1/kid3-qt.1%{ext_man}
%{_kf5_mandir}/de/man1/kid3-qt.1%{ext_man}

%files cli
%defattr(-,root,root)
%{_kf5_bindir}/kid3-cli
%{_kf5_mandir}/man1/kid3-cli.1%{ext_man}
%{_kf5_mandir}/de/man1/kid3-cli.1%{ext_man}

%files core
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING LICENSE README kid3.lsm
%{_kf5_libdir}/kid3/
%{_kf5_sharedir}/dbus-1/interfaces/net.sourceforge.Kid3.xml
%config %{_kf5_sysconfdir}/ld.so.conf.d/kid3.conf

%files doc
%defattr(-,root,root)
%doc %{_kf5_htmldir}/de/kid3/
%doc %{_kf5_htmldir}/en/kid3/

%files qt-doc
%defattr(-,root,root)
%{_docdir}/kid3-qt/

%files -n kid3-core-lang -f kid3-core.lang
%defattr(-,root,root)
%dir %{_kf5_sharedir}/kid3
%dir %{_kf5_sharedir}/kid3/translations
%if 0%{?suse_version} < 1230
%{_kf5_sharedir}/kid3/translations/kid3_sr@ijekavian.qm
%{_kf5_sharedir}/kid3/translations/kid3_sr@ijekavianlatin.qm
%{_kf5_sharedir}/kid3/translations/kid3_sr@latin.qm
%endif

%else

%files
%defattr(-,root,root)
%{_kde4_bindir}/kid3
%{_kde4_applicationsdir}/kid3.desktop
%{_kde4_appsdir}/kid3/
%{_kde4_iconsdir}/hicolor/*/apps/kid3.png
%{_kde4_iconsdir}/hicolor/scalable/apps/kid3.svg
%{_mandir}/man1/kid3.1%{ext_man}
%{_mandir}/de/man1/kid3.1%{ext_man}

%files qt
%defattr(-,root,root)
%{_bindir}/kid3-qt
%{_datadir}/applications/kid3-qt.desktop
%{_datadir}/icons/hicolor/*/apps/kid3-qt.png
%{_datadir}/icons/hicolor/scalable/apps/kid3-qt.svg
%{_mandir}/man1/kid3-qt.1%{ext_man}
%{_mandir}/de/man1/kid3-qt.1%{ext_man}

%files cli
%defattr(-,root,root)
%{_bindir}/kid3-cli
%{_mandir}/man1/kid3-cli.1%{ext_man}
%{_mandir}/de/man1/kid3-cli.1%{ext_man}

%files core
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING LICENSE README
%{_libdir}/kid3/
%{_datadir}/kid3/qml/
%{_datadir}/dbus-1/interfaces/net.sourceforge.Kid3.xml
%config %{_sysconfdir}/ld.so.conf.d/kid3.conf

%files doc
%defattr(-,root,root)
%doc %{_kde4_htmldir}/de/kid3/
%doc %{_kde4_htmldir}/en/kid3/

%files qt-doc
%defattr(-,root,root)
%{_docdir}/kid3-qt/

%files -n kid3-core-lang -f kid3-core.lang
%defattr(-,root,root)
%dir %{_datadir}/kid3
%dir %{_datadir}/kid3/translations
%if 0%{?suse_version} < 1230
%{_datadir}/kid3/translations/kid3_sr@ijekavian.qm
%{_datadir}/kid3/translations/kid3_sr@ijekavianlatin.qm
%{_datadir}/kid3/translations/kid3_sr@latin.qm
%endif

%endif

%changelog
* Tue May 12 2015 joerg.lorenzen@ki.tng.de
- update to version 3.2.1
  * New:
    + Support APE cover art.
  * Improved:
    + Mac: Do not show empty menu icons for About, Find, Replace.
  * Fixed:
    + Wrong size of picture when switching from file with only IDv1
    tag to file with picture.
    + Mac: Empty root instead of file tree when opening file on
    network share.
    + Allow escaping of single quotes in kid3-cli.
    + Qt4: Do not run qmlplugindump when building, it needs an X11
    connection.
- Enable QML plugin for build against qt4.
* Sat May  9 2015 joerg.lorenzen@ki.tng.de
- Install kid3.conf to add kid3 library path via /etc/ld.so.conf.d.
* Sat Apr 18 2015 joerg.lorenzen@ki.tng.de
- update to version 3.2.0
  * New:
    + Support QML/JS scripts for user actions.
    + Batch embed, export, and resize album art.
    + Batch lyrics download.
    + Recursive tag export.
    + Support build with KDE 5.
    + Support DSF files with TagLib 1.9.1.
    + Option to mark pictures larger than a given size.
    + Number tracks can reset track number for each folder.
    + Number tracks can only format numbers or set total.
    + Only expand subtree if shift is pressed with "Expand all".
    + Support Ogg FLAC files.
    + QML plugin.
  * Improved:
    + File suffix for export (e.g. picture) is determined by mime type.
    + Image dimensions are displayed below picture.
  * Fixed:
    + Crash when TagLib file is saved with changes in tags and file name.
    + Deletion of picture frames from Ogg/Opus files.
    + Setting description of Ogg pictures in frame table.
    + Reactivate support for AAC and MP2 files with TagLib.
    + Mac OS X: Avoid excessive memory consumption.
    + Adapted to Discogs server update.
    + Adapted to Amazon server update.
- Removed unneeded dependencies.
- Build against kf5 ant qt5 for openSUSE > 13.2.
- Created separate doc packages for kid3 and kid3-qt.
- Moved translation files to package kid3-core-lang because they
  are required by kid3 and kd3-qt.
* Mon Mar  2 2015 toddrme2178@gmail.com
- Rename libkid3 to kid3-core, since it is not just a library (it
  contains data files too) and to make it compatible with the
  openSUSE naming.
- Spec file cleanups.
* Sun Nov  9 2014 joerg.lorenzen@ki.tng.de
- Update to  version 3.1.2
  * New:
    + Allow user to change the file permissions of read-only files.
  * Improved:
    + Updated Simplified Chinese translation.
    + Reduce number of open file descriptors with TagLib >= 1.8.
  * Fixed:
    + Adapted to Discogs server update.
    + Correctly add missing frames when editing multiple files.
    + The value of an existing frame on multiple files can be set via D-Bus.
    + File names with special characters in Mp4V2Metadata on Windows.
    + Appdata passes appdata-validate check.
* Mon Aug 25 2014 joerg.lorenzen@ki.tng.de
- Update to release 3.1.1
  * New:
    + Validation for date/time, track and disc number frames.
    + Mac OS X: Drop on dock icon.
    + Timeout command in kid3-cli to overwrite command timeout.
    + Build option WITH_NO_MANCOMPRESS to disable gzipped manpages.
  * Improved:
    + Updated Czech translation.
    + Support drag'n'drop from https, ftp.
    + Show picture type in frame table.
    + Allow import from file/clipboard with empty date fields.
    + Mac OS X: Placement of Preferences, Quit, About in application menu.
    + Add AppData and comment in desktop file for GNOME Software.
    + Handling of RPATH to private libraries.
  * Fixed:
    + Setting of POPM frames using kid3-cli.
    + Removing of COMM, PRIV, TXXX, free form frames.
    + Windows: kid3-cli output redirection.
    + Mac OS X: Support case-sensitive filesystems.
    + Mac OS X: Fix drag'n'drop on OS X 10.10 Yosemite Preview.
    + Restore Ogg files if writing fails.
    + Format while editing for tag 2.
    + Support composer when importing from MusicBrainz.
    + Opening external links from handbook.
* Sat Apr 26 2014 joerg.lorenzen@ki.tng.de
- Update to release 3.1
  * New:
    + Support for synchronized lyrics and event timing codes.
    + Import and export of LRC (synchronized lyrics/Karaoke) files.
    + Find and replace strings in tags and file names.
    + Display details and sort columns in file list.
    + Open and Open Containing Folder file list actions.
    + Support Ogg and Opus cover art.
    + Export format CDRDAO TOC for CDs with CD-text from WAV tags.
    + D-Bus command expandFileList() to expand the whole file list.
  * Improved:
    + Updated Czech, Finnish, Estonian translations.
    + GUI and usability, keyboard navigation.
  * Fixed:
    + Restore Quick Access Tags settings properly.
    + Support tags from file name with 2 character extensions (e.g. ".wv").
    + Keyboard shortcuts settings with Mac OS X 10.9.
    + Build without Phonon.
    + Fingerprint decoding and resampling with libav.
    + D-Bus command expandDirectory().
* Sat Nov 30 2013 joerg.lorenzen@ki.tng.de
- Update to release 3.0.2
  * Fixed:
    + Translations and handbook are not found on Mac OS X 10.9 Mavericks.
    + Application termination when main window is closed while handbook is open.
    + Tag 1 genre combobox is empty if "show only custom genres" is set.
    + Session restoration.
    + Detection of installed Qt 5.
    + KDE application does not find libraries if prefix is not /usr.
    + Build if all translations are disabled.
  * Improved:
    + Added new genres introduced in Winamp 5.6.
* Mon Nov 25 2013 joerg.lorenzen@ki.tng.de
- added patch to correctly quit the application when the main window is closed while the handbook is open
* Sat Nov  9 2013 joerg.lorenzen@ki.tng.de
- moved translations, plugins and DBus-interface into package libkde3_<so-version>
  - removed lang packages, no longer necessary
* Sat Nov  2 2013 joerg.lorenzen@ki.tng.de
- changes in spec file to enable build for openSUSE 11.4 and 12.1
* Thu Oct 31 2013 joerg.lorenzen@ki.tng.de
- Update to release 3.0.1
  - added patch to build kde translation files
  - renamed package kid3-core to libkde3_<so-version> and
  moved plugins into an separate package
  * Fixed:
    + Filename format configuration can not be changed.
    + Menus get broken when toolbar is changed in KDE version.
    + Incorrect conversion of configuration in KDE version.
    + Unintended result selection in first track of fingerprint import.
    + Crash at exit after canceling fingerprint import with GStreamer.
    + Prefer GStreamer 0.10 over 1.0 to avoid hang in Phonon.
    + Build with readline needing termcap (as used in Slackware).
    + Build with FFmpeg 2.0 (as used in openSUSE 12.3).
    + Honor LIB_SUFFIX if set (as used in Fedora).
* Wed Oct 30 2013 joerg.lorenzen@ki.tng.de
- Update to release 3.0
  - rename package from kid3-qt to kid3 because
  all frontends are created in one build process
  * New:
    + Command-line interface kid3-cli.
    + Use common shared libraries for KDE, Qt-only and CLI versions.
    + Plugins for metadata libraries and importers.
    + Support Opus files with TagLib 1.9.
    + Support GStreamer 1.0.
    + Support libavresample 0.0.3.
  * Improved:
    + Editing without leaving the keyboard.
    + When saving a file fails, tell user if it is not writable.
    + Escape metacharacters in HTML export.
    + Updated Czech translation.
    + Updated Finnish translation.
    + Cleaned up configuration option sections.
  * Fixed:
    + Crash when saving non-FLAC file with flac extension.
    + Support minimum Mac OS X version 10.5.
    + Load Qt libraries only from bundle on Mac OS X.
  * Release 2.3
  * New:
    + Automatic batch import for multiple directories.
    + Import catalog number and release country from Discogs and
    MusicBrainz.
    + Quick access tags are configurable for tag 2.
    + Setting for default file name to save cover art.
    + Select all in directory.
    + Apply text encoding.
    + Support Qt 5.0.
  * Improved:
    + Better responsiveness when working with a huge number of files,
    long operations can be aborted (filtering, renaming, expanding).
    + Support custom frame names in formats and imports.
    + Display accuracy and cover art URL for imports.
    + Added more unified frame types.
    + GUI and usability.
  * Fixed:
    + Swapped mapping of too and enc for M4A files.
    + Compatibility of ID3v2.4.0 COMM frames with iTunes.
    + Do not remove spaces in Vorbis comment field names.
    + Crash and decoding for fingerprints with libav 9.1.
  * Release 2.2.1
  * Improved:
    + Updated Czech translation.
  * Fixed:
    + Fixed selection of language and handbook with Qt 4.8.
  * Release 2.2
  * New:
    + Option to load last opened file on startup.
    + Option to use locale for character conversion.
    + Support new features of TagLib 1.8: More ID3 frames, ID3v2.3,
    tracker modules (MOD, S3M, IT, XM).
    + Support use of GStreamer instead of FFmpeg for Chromaprint decoding.
    + Support building with latest libav/FFmpeg libraries.
  * Improved:
    + Extract year from "YYYY-MM.." date frame for %%{year} format code.
    + Character conversion for roman numbers.
    + Dutch translation.
    + Finnish translation.
  * Fixed:
    + Avoid crash when exporting album cover while editing multiple files.
    + Check if file format supported before converting to ID3v2.3.0.
    + Rewritten Discogs import to use Discogs API v2.0.
* Sat May 19 2012 pascal.bleser@opensuse.org
- update to 2.1
- moved to Packman as it requires ffmpeg now
* Sun Mar 25 2012 dimstar@opensuse.org
- Add kid3-qt-gcc47.patch: Fix build with gcc 4.7.
* Fri Sep  9 2011 davejplater@gmail.com
- kid3-qt now uses cmake, converted to cmake build.
- Removed phonon patch, no longer relevant.
- Update to release 2.0
  * New:
    + Import from tags to extract and move information between tags.
    + Play a track on double click (optional).
    + Searching in help browser.
    + Move files to trash instead of deleting them.
    + Automatic setting of checkboxes when frame is changed.
    + Support for APE tags with TagLib 1.7.
  * Improved:
    + Major refactoring to improve software architecture, separated
    GUI from application logic using the Qt 4 Model/View
    architecture. This required dropping support for Qt 3 and
    KDE 3. Unified build system using CMake for KDE and Qt-only
    versions.
    + The file list is updated on file system changes and is faster.
    + Import sub-dialogs are modeless and do not block import dialog.
    + Import table is editable and has optional columns for file
    names and paths (selectable with context menu).
    + The tracks to import can be selected, e.g. to import only one
    CD from a doulbe-CD album.
    + Number Tracks can number the tracks of multiple directories.
    + Multiple directories can be selected with Rename Directory.
    + M4A support with TagLib (can fully replace libmp4v2).
    + Exports are displayed in a table if they contain tabulators.
    + Adding and editing formats is now more user friendly.
    + GUI and usability.
  * Fixed:
    + Genre and track total in M4A files with TagLib.
    + Execution of user action without command.
    + Adapted to Discogs server update.
- Spec file updates:
  * Changed License: to GPL-2.0+.
  * Removed support for openSUSE < 11.2 in spec file.
  * Minor other updates.
* Mon Mar 21 2011 coolo@novell.com
- licenses package is about to die
* Thu Mar 17 2011 davejplater@gmail.com
- Update to release 1.6
- Man page added - kid3-qt.1
- Improved numbering of tracks, GUI and usability.
* Fri Oct  8 2010 davejplater@gmail.com
- Update to release 1.5
- Upstream changes :
  Faster filtering,
  simple audio player,
  GUI and usability improvements.
* Wed Sep 22 2010 davejplater@gmail.com
- Created non kde kid3-qt
* Mon Jun  7 2010 davejplater@gmail.com
- Update to svn 673
- Upstream changes :
  * replaced xmms by amarok in context menu
  * Make docs compile against KDE 4.5 beta.
  * Add the official audio/ogg MIME type, remove the obsolete
  * x-directory/normal MIME type, add StartupNotify and StartupWMClass.
  * Finnish translation spelling fix.
* Sun Mar  7 2010 zOOmER.gm@gmail.com - 1.4
- gzip archive used for souce tarball
- updated to version 1.4
  + New:
  ++ Support for cover art in Ogg files.
  ++ Import from Amazon.
  ++ Separate formats for "to filename" and "from filename".
  ++ Czech translation.
  + Improved:
  ++ Use of UTF8 and UTF16 encoding when non-ASCII characters are used.
  ++ GUI and usability.
  + Fixed:
  ++ Correctly set tags when tags of multiple files are selected,
    edited, and then copied to the other tag.
  ++ Adapted to Discogs server update.
- removed unnecessary BuildRequires
- fixed file list for older distributions
* Wed Nov  4 2009 buschmann23@opensuse.org - 1.3
- renamed package from kde4-kid3 to kid3
- updated to version 1.3
  + New:
  ++ Advanced playlist dialog.
  ++ Support for WMA/ASF, AIFF and WAV files.
  ++ Estonian, Finnish and Turkish translations.
  + Improved:
  ++ When changing the current file while a tag field is being edited,
    the changes are preserved.
  ++ Translation system.
  ++ Settings in Number Tracks dialog can be saved.
  ++ Filter files without attached pictures.
  ++ Support for libmp4v2 1.9 and TagLib 1.6.
  + Fixed:
  ++ Show album art when multiple files are selected.
  ++ From Tag 2 option can be restored in Rename Directory dialog.
  ++ Picture download.
  ++ Adapted to Discogs server update.
* Sat May  2 2009 donnie.bhayangkara@opensuse.org
- new upstream version
* Sat Oct 25 2008 donnie.bhayangkara@opensuse.org
- new upstream version
* Thu Apr  3 2008 donnie.bhayangkara@opensuse.org
- new upstream version:
  New:
  * File filter.
  * D-Bus interface to control application by scripts.
  * Long format codes %%%%{title}, %%%%{album}, ... and tooltips for formats.
  * Support for FLAC pictures.
  * Polish translation.
  Improved:
  * GUI and usability.
  * Rename directory wizard.
  * Use xdg-open as the default web browser.
  * Display description instead of TXXX and WXXX.
  * Add pictures to files by drag and drop and from cllipboard.
  * Compilation with GCC 4.3 and compiler detection for kid3-qt.
  * Support for TagLib 1.5.
  Fixed:
  * KDE 4 docs in correct directory.
  * Crash when TSST frame was added to ID3v2.3.0 tag.
  * Disappearing ID3v1 genres.
  * Possible crash when import or export format was added.
* Sun Dec  2 2007 donnie.bhayangkara@opensuse.org
- new upstream version:
  New:
  * All frames can be edited in tables, not only the standard tags.
  * Support for MP4/AAC, MP2, Speex, TrueAudio, and WavPack files.
  * Default encoding can be configured.
  * Italian translation.
  * Support build with KDE 4.
  Improved:
  * Conversion between ID3v2.3 and ID3v2.4 for all supported frames.
  * GUI and usability.
  * Qt4 version builds without Qt3Support module
  Fixed:
  * Correct kid3-qt icon.
  * kid3-qt builds correctly without id3lib or without MusicBrainz.
  * Remove deleted user actions from configuration.
  * Allow new export/import formats with empty fields.
  * Reread file after conversion from ID3v2.4 to ID3v2.3.
  * Rename directory does not rename when tags are empty.
* Wed Jun 13 2007 donnie.bhayangkara@opensuse.org
- new upstream version:
  New:
  * Hierarchical directory tree instead of flat file list.
  * Enhanced context menu commands, can be used to browse for lyrics
    and album art.
  * Import from gnudb.org.
  * Conversion between ID3v2.3 and ID3v2.4 tags.
  * Editor for custom genres.
  * Option to mark truncated ID3v1.1 fields.
  Improved:
  * Frames are listed alphabetically and can be edited and deleted
    in multiple files.
  * Import from TrackType.org (formerly freedb2.org)
    Fixed:
  * MusicBrainz fingerprint import.
* Thu Dec 21 2006 donnie.bhayangkara@opensuse.org
- package for v0.8.1
